Bug 72594 - doubtful /etc/hosts written on an installation
doubtful /etc/hosts written on an installation
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-25 18:19 EDT by Michal Jaegermann
Modified: 2007-04-18 12:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-08-25 18:19:24 EDT
Description of Problem:

When configuring a hosts with a known name and a static IP address I would
expect to find out in /etc/hosts something like that:

127.0.0.1       localhost.localdomain localhost
192.168.23.1    smok.home.front smok

Instead I have there

127.0.0.1             smok.home.front smok localhost.localdomain localhost

which is not entirely correct.  At least /etc/sysconfig/network is somewhat
sane.

(If you are curious "smok" translates in English to "dragon" :-).
Comment 1 Michael Fulbright 2002-08-26 16:07:01 EDT
This is the eternal question of how to handle /etc/hosts properly in a general
way. The problem is if you were on a laptop and pulled the PCMCIA card out and
jumped on a plane, if the hostname wasn't linked to localhost then your desktop
and X would probably freak out and not let you start new windows/etc.

At least that is what was happening around the 6.1 days and pushed us in the
direction to do what we do now.

I'll defer this and we'll have to think about it next release cause we're into
the betas already and this would be a big change if we decide to do anything.
Comment 2 Michal Jaegermann 2002-08-26 18:34:07 EDT
> The problem is if you were on a laptop and pulled the PCMCIA card out and
> jumped on a plane, if the hostname wasn't linked to localhost then your desktop
> and X would probably freak out and not let you start new windows/etc.

I would be ready to believe into that argument if not that small catch that
I did the above a number of times and nothing of that sort happened.
There is a difference between a laptop configured for dhcp use and one using
a static number and _a name_.  X windows indeed require at least loopback and
that better be configured.  If one configures a static assignment then
there is an expectation that /etc/hosts will be correct.
Comment 4 Hunter Matthews 2003-05-08 17:11:30 EDT
I've not seen that behaviour on my laptop (7.3, 8.0, and 8.0.9x)

But assuming it did happen on laptops, breaking sendmail on dhcp'd machines and
other common unix daemons isn't really a good "answer".

How does sendmail break? If that entry is there, root@host emails that should be
forwarded bounce.

I'm not sure what sendmails exact problem is - I just know that sendmail and sge
(sun grid engine) at least require a correct /etc/hosts for operaion.
Comment 5 Bill Anderson 2004-09-28 04:35:39 EDT
Just thought I'd point out, since this is still in Fedora, that this
setup has caused several strange networking issues for my students and
clients. In one case, it hosed Tomcat. In some it stops NFS from
working properly.

Unfortunately, it seems to cause weird problems that are incredibly
painful until you try changing it, and lo and behold it works.

Some suggestions to resolve it:

If using dhcp, have the dhcp setup script make an entry for it in
/etc/hosts. Even if you disconnect as in the above described scenario,
the way Linux networking works, everything still works.

If not using DHCP, assign an entry like so:
my.ipa.ddr.ess myhostname myalias 

Alternately, if none of the above apply, simply add a second localhost
entry:

127.0.0.1    localhost.localdomain localhost
127.0.0.1    myname.mydom.ain  myhost

Oddly enough, this latter use has not to my knowledge caused issues.

I'll see if I can dig through my notes to find a replicable case. As
it sits, it is an entry in my classes where I teach them the first
thing to do after a new install is to fix that file. ;)

Cheers,
Bill
Comment 6 W. Michael Petullo 2006-02-23 21:02:46 EST
This still causes problems in Raw Hide as of 23 Feb 06.  After installation, I
end up with an /etc/hosts as documented in the original comment.  This does not
work with Apache/mod_ssl and must be modified before starting the server.
Comment 7 W. Michael Petullo 2006-03-20 21:14:14 EST
Should this bug be changed to Fedora Core 5?
Comment 8 Michal Jaegermann 2006-03-21 17:17:22 EST
> Should this bug be changed to Fedora Core 5?

I guess.  It is not the end of the world but in some situations quite
annoying.  Also it is not clear why two lines cannot be scribbled in
new /etc/hosts instead of one when there is known a fixed address
and a host name?
Comment 9 Bill Nottingham 2006-08-04 17:36:09 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 11 Bill Nottingham 2007-01-02 13:26:09 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.